summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Trayan Denev <tdenev@gmail.com>2012-12-16 09:10:33 +0100
committer Matteo Bernardini <ponce@slackbuilds.org>2012-12-16 09:11:00 +0100
commit87ebbcaed006ad57fc15ba0322bf39db239d74e3 (patch)
treecb2cce63946a742cc1fc5be5d71349c29c8a1950
parent604e4843cf68d2461f6d565b1a6496a669371fc8 (diff)
downloadslackbuilds-87ebbcaed006ad57fc15ba0322bf39db239d74e3.tar.gz
slackbuilds-87ebbcaed006ad57fc15ba0322bf39db239d74e3.tar.xz
libraries/php-mssql: Added (php MS SQL extension).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--libraries/php-mssql/README5
-rw-r--r--libraries/php-mssql/doinst.sh14
-rw-r--r--libraries/php-mssql/mssql.ini53
-rw-r--r--libraries/php-mssql/php-mssql.SlackBuild114
-rw-r--r--libraries/php-mssql/php-mssql.info10
-rw-r--r--libraries/php-mssql/slack-desc19
6 files changed, 215 insertions, 0 deletions
diff --git a/libraries/php-mssql/README b/libraries/php-mssql/README
new file mode 100644
index 0000000000..5b72ce812e
--- /dev/null
+++ b/libraries/php-mssql/README
@@ -0,0 +1,5 @@
+This extension enables PHP to connect to and use MSSQL databases.
+
+To enable the mssql extension for php, go to /etc/php/mssql.ini
+and uncomment the line:
+ ; extension=mssql.so
diff --git a/libraries/php-mssql/doinst.sh b/libraries/php-mssql/doinst.sh
new file mode 100644
index 0000000000..5504e584cf
--- /dev/null
+++ b/libraries/php-mssql/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD|md5sum)" = "$(cat $NEW|md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/php/mssql.ini.new
diff --git a/libraries/php-mssql/mssql.ini b/libraries/php-mssql/mssql.ini
new file mode 100644
index 0000000000..c284614114
--- /dev/null
+++ b/libraries/php-mssql/mssql.ini
@@ -0,0 +1,53 @@
+; Enable mssql extension module
+; extension=mssql.so
+
+; Allow or prevent persistent links.
+;mssql.allow_persistent = On
+
+; Maximum number of persistent links. -1 means no limit.
+;mssql.max_persistent = -1
+
+; Maximum number of links (persistent+non persistent). -1 means no limit.
+;mssql.max_links = -1
+
+; Minimum error severity to display.
+;mssql.min_error_severity = 10
+
+; Minimum message severity to display.
+;mssql.min_message_severity = 10
+
+; Compatibility mode with old versions of PHP 3.0.
+;mssql.compatability_mode = Off
+
+; Connect timeout
+;mssql.connect_timeout = 5
+
+; Query timeout
+;mssql.timeout = 60
+
+; Valid range 0 - 2147483647. Default = 4096.
+;mssql.textlimit = 4096
+
+; Valid range 0 - 2147483647. Default = 4096.
+;mssql.textsize = 4096
+
+; Limits the number of records in each batch. 0 = all records in one batch.
+;mssql.batchsize = 0
+
+; Specify how datetime and datetim4 columns are returned
+; On => Returns data converted to SQL server settings
+; Off => Returns values as YYYY-MM-DD hh:mm:ss
+;mssql.datetimeconvert = On
+
+; Use NT authentication when connecting to the server
+;mssql.secure_connection = Off
+
+; Specify max number of processes. -1 = library default
+; msdlib defaults to 25
+; FreeTDS defaults to 4096
+;mssql.max_procs = -1
+
+; Specify client character set.
+; If empty or not set the client charset from freetds.conf is used
+; This is only used when compiled with FreeTDS
+;mssql.charset = "ISO-8859-1"
diff --git a/libraries/php-mssql/php-mssql.SlackBuild b/libraries/php-mssql/php-mssql.SlackBuild
new file mode 100644
index 0000000000..fdf9ef8ed1
--- /dev/null
+++ b/libraries/php-mssql/php-mssql.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/sh
+
+# Slackware build script for php-mssql
+
+# Copyright 2012 Trayan Denev, Bulgaria
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+SRCNAM=php
+PRGNAM=php-mssql
+VERSION=5.4.7
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd ext/mssql/
+
+PHP_CONFIG=/usr/bin/php-config
+
+/usr/bin/phpize
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-php-config=$PHP_CONFIG \
+ --build=$ARCH-slackware-linux \
+ --with-mssql=/usr \
+ --with-libdir=lib${LIBDIRSUFFIX}
+
+make
+
+EXTENSION_DIR="$PKG/$($PHP_CONFIG --extension-dir)"
+mkdir -p $EXTENSION_DIR $PKG/etc/php
+
+make install DESTDIR=$PKG EXTENSION_DIR=$EXTENSION_DIR
+
+install -m 644 $CWD/mssql.ini $PKG/etc/php/mssql.ini.new
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp CREDITS $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/php-mssql/php-mssql.info b/libraries/php-mssql/php-mssql.info
new file mode 100644
index 0000000000..1bfac14645
--- /dev/null
+++ b/libraries/php-mssql/php-mssql.info
@@ -0,0 +1,10 @@
+PRGNAM="php-mssql"
+VERSION="5.4.7"
+HOMEPAGE="http://www.php.net/manual/en/book.mssql.php"
+DOWNLOAD="http://www.php.net/distributions/php-5.4.7.tar.bz2"
+MD5SUM="9cd421f1cc8fa8e7f215e44a1b06199f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="freetds"
+MAINTAINER="Trayan Denev"
+EMAIL="tdenev@gmail.com"
diff --git a/libraries/php-mssql/slack-desc b/libraries/php-mssql/slack-desc
new file mode 100644
index 0000000000..dcc20843df
--- /dev/null
+++ b/libraries/php-mssql/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+php-mssql: php-mssql (php MS SQL extension)
+php-mssql:
+php-mssql: This extension enables PHP to connect to and use MSSQL
+php-mssql: databases.
+php-mssql:
+php-mssql: Home: http://www.php.net/manual/en/book.mssql.php
+php-mssql:
+php-mssql:
+php-mssql:
+php-mssql:
+php-mssql: